#ifndef __LIST_H
#define __LIST_H

typedef struct _list {
	void *data;
	struct _list *next;
} list, list_t;

list_t *list_insert(list_t *, void *);
list *list_append (list *first_node, void *data);
list *list_prepend (list *first_node, void *data);
list *list_remove (list *first_node, list *remove_node);
void list_free (list *first_node);

#endif

