/*
	Wabbitcode - An IDE for the Z80 line of TI calculators
	Copyright (C) 2007 Donald Straney

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __CALLBACKS_H
#define __CALLBACKS_H

#include <gtk/gtk.h>

gboolean callback_close_window (GtkWidget*, gpointer);
void callback_quit (GtkWidget*, gpointer);
void callback_switch_file (GtkNotebook*, GtkNotebookPage*, guint, gpointer);
void callback_new (GtkWidget*, gpointer);
void callback_save (GtkWidget*, gpointer);
void callback_saveas (GtkWidget*, gpointer);
void callback_close (GtkWidget*, gpointer);
void callback_open (GtkWidget*, gpointer);
void callback_revert (GtkWidget*, gpointer);
void callback_copy (GtkWidget*, gpointer);
void callback_cut (GtkWidget*, gpointer);
void callback_paste (GtkWidget*, gpointer);
void callback_select_all (GtkWidget*, gpointer);
void callback_change_case (GtkWidget*, gpointer);
void callback_show_about (GtkWidget*, gpointer);
void callback_show_help (GtkWidget*, gpointer);
void callback_seteditoropt (GtkWidget*, gpointer);
void callback_setsyntaxhltopt (GtkWidget*, gpointer);
void callback_setassembleropt (GtkWidget*, gpointer);
void callback_toggle_outputwin (GtkWidget*, gpointer);
void callback_stop_syntaxhlt (GtkWidget*, gpointer);

#endif
